Devuan bug report logs - #99
devuan-installer: the installed devuan system is not fully accessible

Package: devuan-installer; Maintainer for devuan-installer is Ralph Ronnquist <ralph.ronnquist@gmail.com>;

Reported by: Gregory Nowak <greg@gregn.net>

Date: Sat, 3 Jun 2017 02:48:01 UTC

Severity: normal

Tags: jessie

Done: Gregory Nowak <greg@gregn.net>

Full log


🔗 View this message in rfc822 format

X-Loop: owner@bugs.devuan.org
Subject: bug#99: Acknowledgement (devuan-installer: the installed devuan system is not fully accessible)
Reply-To: Gregory Nowak <greg@gregn.net>, 99@bugs.devuan.org
Resent-From: Gregory Nowak <greg@gregn.net>
Resent-To: devuan-bugs@lists.dyne.org
Resent-CC: Ralph Ronnquist <ralph.ronnquist@gmail.com>
X-Loop: owner@bugs.devuan.org
Resent-Date: Wed, 25 Mar 2020 23:03:02 +0000
Resent-Message-ID: <handler.99.B99.158517720226689@bugs.devuan.org>
Resent-Sender: owner@bugs.devuan.org
X-Devuan-PR-Message: followup 99
X-Devuan-PR-Package: devuan-installer
X-Devuan-PR-Keywords: jessie
References: <20170603023622.3689.66246.reportbug@acer1.gregn.net> <handler.99.B.149645760715284.ack@bugs.devuan.org> <20170603023622.3689.66246.reportbug@acer1.gregn.net>
Received: via spool by 99-submit@bugs.devuan.org id=B99.158517720226689
          (code B ref 99); Wed, 25 Mar 2020 23:03:02 +0000
Received: (at 99) by bugs.devuan.org; 25 Mar 2020 23:00:02 +0000
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by doc.devuan.org with IMAP (fetchmail-6.4.0.beta4)
	for <debbugs@localhost> (single-drop); Wed, 25 Mar 2020 23:00:02 +0000 (UTC)
Received: from vserver.gregn.net (vserver.gregn.net [174.136.110.154])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id 7C868F60B42
	for <99@bugs.devuan.org>; Wed, 25 Mar 2020 23:49:20 +0100 (CET)
Authentication-Results: vm6.ganeti.dyne.org;
	dkim=pass (2048-bit key; unprotected) header.d=gregn.net header.i=@gregn.net header.b="0DVfbCih";
	dkim-atps=neutral
Received: from vbox.gregn.net (unknown [IPv6:2607:fb90:a686:c07f:a00:27ff:fe01:8e92])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by vserver.gregn.net (Postfix) with ESMTPSA id 4EF6C239A
	for <99@bugs.devuan.org>; Wed, 25 Mar 2020 15:50:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=gregn.net; s=default;
	t=1585176629; bh=RlTqinlLTh4s2tkPVxbBFbG6HONS8p79x+XiZLLzVRw=;
	h=Date:From:To:Subject:References:In-Reply-To:From;
	b=0DVfbCihk22+WViTYYr+Ffn6pJd35zBtYENDHPq++5cFBiiRpj6FXzBCi6DsGWrOy
	 sJW7JDf6vdAoFyh2LvqNN9Zv2xvTQEJCxpCTObWL1yl/ejuyWC/BGAh/EOW7MM8ZQr
	 zAo1P9iiwCpDZKAGcAmkaFGkgAvNq4Si3eWCW64LZHRJG0f7ZZuU79svSSTxlToyBn
	 x+CPXcSAnuJYs4tO+61L5K1UXZY11xce9GDg07YeZMmv0ILr5xlz5Grsnf1F2XQquC
	 eE5Y+Y22D+CS2OBNUSiqrzKlqtr7Tj750ROR1ADMJ0G0WHxIoRK+y4qAIOA+JzC+Fc
	 /xppOI9I4Hqgw==
Received: from greg by vbox.gregn.net with local (Exim 4.84_2)
	(envelope-from <greg@gregn.net>)
	id 1jHEpo-00011a-BK
	for 99@bugs.devuan.org; Wed, 25 Mar 2020 15:49:16 -0700
Date: Wed, 25 Mar 2020 15:49:16 -0700
From: Gregory Nowak <greg@gregn.net>
To: 99@bugs.devuan.org
Message-ID: <20200325224916.GA3824@gregn.net>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <handler.99.B.149645760715284.ack@bugs.devuan.org>
X-PGP-Key: http://www.gregn.net/pubkey.asc
User-Agent: Mutt/1.5.23 (2014-03-12)
X-Virus-Scanned: clamav-milter 0.102.2 at vserver
X-Virus-Status: Clean
X-Spam-Status: No, score=-0.2 required=5.0 tests=DKIM_SIGNED,DKIM_VALID,
	DKIM_VALID_AU,DKIM_VALID_EF,SPF_PASS autolearn=disabled version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org
Here's an update on Beowulf. Thanks first of all for bringing back the
PC speaker beep for the boot menu in the Beowulf netinst iso.

I thought lightdm wouldn't be a long term option, since in the
original gitlab discussion this bug was migrated from centurian Dan
had indicated that lightdm wouldn't be a long term option. I'm glad to
see that lightdm is still available in Beowulf. I'm also glad to see
the mate desktop in Beowulf is installed with lightdm and
lightdm-gtk-greeter by default. That's the good news, now for the bad
news.

1. There are problems when attempting to do a Beowulf install with
speech in a VirtualBox guest. On one of my machines, the guest crashed
totally. I don't know what was on the screen, the guest just became
unresponsive to attempted keyboard input when I started the install
with speech using the "s" option from the boot menu, and after I
attempted to set speakup volume and rate. On another guest, only the
software speech died, and I was still able to activate a hardware
synthesizer, and do the install that way. The good news is that this
seems to be a problem in debian as well:

<http://linux-speakup.org/pipermail/speakup/2020-March/062176.html>

So, this should be resolved once it is fixed upstream. There is a
patch which might fix this being backported to the 4.19.x kernels:

<http://linux-speakup.org/pipermail/speakup/2020-March/062166.html>

2. The other issue is still with lightdm, and this is a two part
issue. The first part is that after a fresh Beowulf install, orca
doesn't speak at the login screen. It seems that orca has trouble
initializing. I don't have access to the machine where I did the
install, so I'll reply again with the log file. On my regular install,
which is a minimal Ascii install upgraded to Beowulf, orca does in
fact talk at the login screen. I'm still trying to track down why it
works on my upgraded regular install, but doesn't work on a fresh
one. Like I said, I'll reply again with a log file when I have access
to that machine in a few hours.

The second problem with orca not speaking is after loging in through
lightdm a "couldn't register with accessibility bus" message appears
in $HOME/.xsession-errors. This means that orca also can't register
with the accessibility bus, so there is no speech in the GUI. When
running startx by hand, orca does in fact come up, and works just
fine. I started a thread to try to work out a solution to the problem
at:

<https://lists.dyne.org/lurker/message/20200325.043908.484afc83.en.html>

That's all for now. I'm glad to see that progress is being made with
accessibility in Beowulf. I'll be back with the orca not starting in
lightdm log
file I mentioned earlier.

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Sat Dec 5 22:25:20 2020;